<?php


namespace OrganizationsManagement\Controller;

use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Response\Error;
use Zeedhi\Framework\DataSource;
use Zeedhi\Framework\DataSource\DataSet;
use OrganizationsManagement\Util\Utilities;
use OrganizationsManagement\Util\InstanceProvider;


class Test
{
    public function findAll(DTO\Request\Filter $request, DTO\Response $response){
        try {
            $data = [['id' => 1, "nome" => "Wands"],["id" => 2, "nome" => "Tião"]];
            $response->addDataSet(new DataSet('testeRoute', $data));
        } catch (\Exception $ex){
            $response->setError(new Error($ex->getMessage(), $ex->getCode()));
            $response->addMessage(new DTO\Response\Message($ex->getMessage()));
        }
    }
}