<?php
namespace OrganizationsManagement\Util\Mail;
use Zend\Mail\Transport\Smtp as SmtpTransport;
use Zend\Mail\Transport\SmtpOptions;
use Zend\Mail\Message as ZendMessage;
use Zend\Mime\Message as ZendMimeMessage;
use Zend\Mime\Part as ZendMimePart;

class SmtpCore {
    private $nome;
    private $host;
    private $usuario;
    private $senha;
    private $classeConexao;

    public function __construct(){
        $this->nome = 'smtp.teknisa.com';
        $this->host = '192.168.122.10';
        $this->usuario = 'pm@teknisa.com';
        $this->senha = 'PM@teknisa$2015';
        $this->classeConexao = 'login';
    }

    public function enviaHtml($destino, $origem, $assunto, $conteudo){
        try {
            $transporte = new SmtpTransport();

            $destino = $this->obtemEmailDesenvolvimento($destino);

            $mimePart = new ZendMimePart($conteudo);
            $mimePart->type = 'text/html';

            $mimeMessage = new ZendMimeMessage();
            $mimeMessage->setParts(array($mimePart));

            $mensagem = new ZendMessage();
            $mensagem->setBody($mimeMessage)->addFrom($origem)->addTo($destino)->setSubject($assunto);

            $transporte->setOptions($this->obtemConfiguracoesSmtp());

            $transporte->send($mensagem);
        } catch(\Exception $ex){
            throw $ex;
        }
    }

    /**
     * Método temporário para fins de desenvolvimento.
     */
    public function obtemEmailDesenvolvimento($email){
        if(strpos($email, 'omdev_operador') !== false){
            return 'stanley.pinto@zeedhi.com';
        }
        return $email;
    }

    public function envia($destino, $origem, $assunto, $conteudo){
        try {
            $transporte = new SmtpTransport();
            $transporte->setOptions($this->obtemConfiguracoesSmtp());

            $mensagem = new ZendMessage();
            $mensagem->setBody($conteudo)->addFrom($origem)->addTo($destino)->setSubject($assunto);

            $transporte->send($mensagem);
        } catch(\Exception $ex){
            throw $ex;
        }
    }

    private function obtemConfiguracoesSmtp(){
        return new SmtpOptions(array(
            'name' => $this->nome,
            'host' => $this->host,
            'connection_class' => $this->classeConexao,
            'connection_config' => array(
                'username' => $this->usuario,
                'password' => $this->senha
            )
        ));
    }
} 