import Vue from "vue";
import App from "./App.vue";
import "./registerServiceWorker";
import router from "./router/router";
import store from './store';

import './plugins/vuesweetalert';
import { vuetify } from "./plugins";

import './services';
import './components';
import './layouts';
import './assets';

Vue.config.productionTip = false;

export default new Vue({
	router,
	vuetify,
	store,
	render: (h) => h(App)
}).$mount("#app");
